.steptitle {
    line-height: 38px;
    font-size: 28px;
    color: #000000;
    margin: 0 0 20px;
    padding: 0;
    font-weight: normal;
    @media(max-width:768px){
        margin: 20px 0;
    }
}



.getcard {
    &-header {
        flex-wrap: wrap;
        &-card {
            min-width: 240px;
            @media(max-width:768px){
                min-width: 192px;
                max-width: 192px;
            }
            @media(max-width:600px){
                position: absolute;
                right: calc(0% - 107px);
            }
        }
        &-description {
            width: calc(100% - 240px);
            @media(max-width:600px){
                order: -1;
            }
        }
        &-image {
            max-width: 210px;
            img {
                max-width: 100%
            }
            @media(max-width:768px){
                max-width: 192px;
            }

        }
        &-row {
            margin-top: 20px;
            width: 100%;
            @media(max-width:768px){
                margin-left: calc(192px + 26px);
                margin-top: 0;
            }
            @media(max-width:600px){
                flex-wrap: wrap;
                margin-left: 0;
                width: 100%!important;
            }
        }
        &-row, &-description {
            @media(max-width:768px){
                width: calc(100% - 192px - 26px);
            }
            @media(max-width:600px){
                width: calc(100% - 100px + 20px);
            }
        }
    }
}

.promocode_correct {
    color: #666666!important;
    opacity: 0.3;
    .card-cost, .card-text {
        color: inherit;
    }
}

.promocode-field {
    display: flex;
    flex-wrap: wrap;
    .form-title {
        width: 100%;
    }
    .form-comboinput {
        @media(max-width:768px){
            width: 100%;
        }
    }
}

.card_cost_mobile {
    display: none;
    background-color: #fff;
    right: 0;
    bottom: 0;
    .card-cost {
        font-size: 24px;
        @media(max-width:768px){
            display: inline-block;
            font-size: 16px;
        }
    }
    @media(max-width:768px){
        display: inline-block;
    }
    @media(max-width:600px){
        position: relative;
        .card-cost, .card-text {
            display: inline-block;
        }
    }
}
.card_cost_desktop {
    display: inline-block;
    margin-left: 32px;
    flex-basis: auto!important;
    @media(max-width:825px){
        margin-left: 5px;
    }
    @media(max-width:768px){
        display: none!important;
    }
}

.form {
    &-title {
        height: 22px;
        font-size: 16px;
        font-weight: 600;
        line-height: 1.38;
        color: #333333;
        margin-bottom: 10px;
        @media(max-width:600px){
            margin-bottom: 10px;
            height: fit-content;
        }
    }

    &-group {
        margin-top: 40px;
        position: relative;
    }

    &-comboinput {
        width: 448px;
        height: 60px;
        border-radius: 4px;
        background-color: #f3f5f6;
        display: flex;
        padding: 10px;
        justify-content: space-between;
        align-items: center;
        @media(max-width:768px){
            width: calc(78% + 40px);
        }
        @media(max-width:600px){
            width: 100%;
            margin-bottom: 10px;
        }
    }

    &-button {
        min-width: 128px;
        max-width: 128px;
        height: 40px;
        border-radius: 4px;
        background: #ffb200;
        cursor: pointer;
        font-size: 16px;
        color: #ffffff;
    }

    &-inputhidden {
        width: calc(100% - 128px - 10px);
        height: 100%;
        font-size: 14px;
        line-height: 1.57;
        color: #353535;
        border: none;
        outline: none;
        stroke: none;
        background: transparent;
        padding: 0 6px;
        cursor: text;
    }

    .check-row {
        justify-content: flex-start;
        padding: 12px 0 12px;
        a {
            color: #0099FF;
        }
    }

    &-checkbox {
        display: none;
    }

    .pseudo {
        width: 24px;
        height: 24px;
        border-radius: 4px;
        border: solid 2px #c8c7cc;
        background-color: #f3f5f6;

        &-container {
            min-width: 39px;
        }

        &.checked {
            border: solid 2px #ffb200;
            background-color: #ffb200;
            background-image: url('/assets/svg/check.svg');
            background-repeat: no-repeat;
            background-position: center center;
        }
    }


    .buttons {
        margin-top: 28px;

        .button {
            width: 128px;
            height: 48px;
            border-radius: 4px;
            cursor: pointer;

        }

        &-back {
            background: none;
            color: #ffb200;
            border: 1px solid #ffb200;

        }

        &-next {
            &.disabled {
                opacity: 0.6;
                cursor: not-allowed;

            }

            ;
        }
    }
}
